WordPress PDF Light Viewer Plugin - Imagick Not supported

IMagick is a native PHP extension to create and modify images using the ImageMagick API. ImageMagick Studio LLC did not write nor does it maintain the IMagick extension, however, IMagick users are welcome to discuss the extension here.
Post Reply
kopfconsulting
Posts: 1
Joined: 2015-01-04T02:29:25-07:00
Authentication code: 6789

WordPress PDF Light Viewer Plugin - Imagick Not supported

Post by kopfconsulting » 2015-01-04T02:31:27-07:00

Good Morning,

We have attempted (to no avail) to get imagemagick working on our server. It is conflicting with the following plugin: https://wordpress.org/plugins/pdf-light-viewer.

We keep receiving the following error: PDF Light Viewer Plugin: requirements not met, please check plugin settings page for more information.

When visiting the plugin settings page - the following message has a red "X" - Imagick is not supported.

We have attempted to deactive the following plugins but still receive the above message: "ImageMagick Engine" and "ImageMagick Sharpen Resized Images"

What we have done:

Installed an IMAGEMAGIC ENGINE plugin. This seems to be ok.

I ran:
sudo apt-get install imagemagic php5-imagick on the server too.

I also ran:
Php5-imagick
Imagmagick
Using apt-get install command.
Reran again using --fix-missing and it didn't change anything.
Still get same error message.
Also tried installing imagickengine plugin, that didn't work either

Any help would be appreciated.

User avatar
fmw42
Posts: 25121
Joined: 2007-07-02T17:14:51-07:00
Authentication code: 1152
Location: Sunnyvale, California, USA

Re: WordPress PDF Light Viewer Plugin - Imagick Not supported

Post by fmw42 » 2015-01-04T11:56:30-07:00

Are you using the most current version of Imagick and Imagemagick? You do not say what versions and platform you are using?

User avatar
fmw42
Posts: 25121
Joined: 2007-07-02T17:14:51-07:00
Authentication code: 1152
Location: Sunnyvale, California, USA

Re: WordPress PDF Light Viewer Plugin - Imagick Not supported

Post by fmw42 » 2015-01-05T22:55:54-07:00

kopfconsulting wrote:ImageMagick Engine - Version 1.5.2
ImageMagick Sharpen Resized Images - Version 1.1.4

Most recent version of Imagick
Sorry, I accidentally deleted your post, but it is quoted above.

Please note that Imagick and Imagemagick are two completely different entities. Imagick is an API that makes calls to Imagemagick commands and needs Imagemagick installed. Perhaps your Plugin needs a direct connection to Imagemagick and not via Imagick. Or perhaps the Imagemagick version called by Imagick is not being linked properly to your plugin. Or perhaps there are two competing versions of Imagemagick installed -- one directly and the other for use by Imagick. Perhaps these two versions of Imagemagick are in conflict, since one can only use one version at a time. Or perhaps the version of Imagemagick is too old for use by your plugin.

Perhaps you need an older version of either or both Imagemagick and Imagick to be compatible with your plugin.

There is no such (recent) version of Imagemagick as 1.5.2. I have never seen anything prior to 5.x.x.x. Imagemagick is at 6.9.0.3. If 1.5.2 is the correct version number, it is so ancient as to be worthless in my opinion. I was just asking to be sure that your setup is using the correct versions of Imagemagick and/or Imagick. You also did not say what your platform was.

I have no knowledge of "ImageMagick Sharpen Resized Images - Version 1.1.4 " and how that relates to Imagemagick.

How do you know you have the most recent version of Imagick? What is the exact version? Do you need it for your plugin or is it just already installed on your platform?

see http://pecl.php.net/package/imagick for the most current version of Imagick.

I really do not know if I can be of real help. I do not know anything about WordPress PDF Light Viewer Plugin, nor how it uses Imagick or Imagemagick. Imagick is not supported by the people who created Imagemagick. This is just a curtesy forum. The Imagick developer would have to reply, if he even knows anything about the connection between Wordpress and Imagick.

If you are using this on a server, you should be asking the ISP host these questions about the proper set up or contact the Wordpress plugin developers.

But perhaps some one else on this Discourse server and Imagick forum may be able to help you further.

Post Reply